package main

import (
	"fmt"
	"os"

	"git.fireandbrimst.one/aw/finstr"
	"git.fireandbrimst.one/aw/finstr/initer"
	goutil "git.fireandbrimst.one/aw/goutil/misc"
)

func main() {
	commands := []goutil.Command{
		goutil.NewCommandWithFlags("init", initer.Command, "initialize finstr directory"),
		goutil.NewCommandWithFlags("gen", finstr.Command, "generate gallery"),
	}
	err := goutil.Execute(commands)
	if err != nil {
		fmt.Fprintln(os.Stderr, err)
		os.Exit(1)
	}
}
